#
# spec file for package libabigail
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libabigail
%define lname   libabigail0
Version:        0~git791
Release:        5.6
Summary:        Application Binary Interface Generic Analysis and Instrumentation Library
License:        GPL-3.0+ and LGPL-2.0+ and LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://sourceware.org/libabigail/

#Git-Clone:	git://sourceware.org/git/libabigail
#Snapshot:	40d82be1ca27faee714a4cf116f18a7e0816be55
Source:         %name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf >= 2.63
BuildRequires:  automake >= 1.11.1
BuildRequires:  gcc-c++ >= 4.7
BuildRequires:  libdw-devel
BuildRequires:  libebl-devel
BuildRequires:  libtool >= 2.2
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.22
BuildRequires:  pkgconfig(libzip) >= 0.10

%description
ABIGAIL constructs, manipulates, (de-)serializes ABI-relevant
artifacts, such as types, variable, fonctions and declarations
(collectively, the ABI corpus) of a given library or program.

%package -n %lname
Summary:        Application Binary Interface Generic Analysis and Instrumentation Library
Group:          System/Libraries
License:        LGPL-3.0+

%description -n %lname
ABIGAIL constructs, manipulates, (de-)serializes ABI-relevant
artifacts, such as types, variable, fonctions and declarations
(collectively, the ABI corpus) of a given library or program. The
library provides a way to compare two ABI corpuses, provide detailed
information about their differences, and help build tools to infer
interesting conclusions about these differences.

%package devel
Summary:        Development files for the ABI-relevant artifact library
Group:          Development/Libraries/C and C++
License:        LGPL-3.0+
Requires:       %lname = %version

%description devel
ABIGAIL constructs, manipulates, (de-)serializes ABI-relevant
artifacts, such as types, variable, fonctions and declarations
(collectively, the ABI corpus) of a given library or program. The
library provides a way to compare two ABI corpuses, provide detailed
information about their differences.

This subpackage contains the files needed to build programs with ABIGAIL.

%package tools
Summary:        Utilities to inspect ABI-relevant artifacts
Group:          Development/Tools/Other
License:        LGPL-3.0+

%description tools
ABIGAIL constructs, manipulates, (de-)serializes ABI-relevant
artifacts, such as types, variable, fonctions and declarations
(collectively, the ABI corpus) of a given library or program.

This subpackage contains the ABIGAIL utilities allowing to infer
interesting conclusions about these differences.

%prep
%setup -qn %name

%build
autoreconf -fiv
%configure --includedir="%_includedir/%name" --docdir="%_docdir/%name" \
	--disable-static --enable-cxx11
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libabigail.so.0*

%files devel
%defattr(-,root,root)
%_includedir/%name/
%_libdir/libabigail.so
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/

%files tools
%defattr(-,root,root)
%doc COPYING*
%_bindir/abi*

%changelog
* Sun Mar  1 2015 jengelh@inai.de
- Update to new git snapshot 0~git791
  * Build the set of exported decls directly during DWARF loading
  * Do not miss canonicalizing opportunities on non-member class types
  * Stick qualified, pointer, reference and array types into the
  global scope
  * Do not forget to canonicalize enum underlying type and void type
  * Speed up symbol version reading
* Fri Jan  9 2015 jengelh@inai.de
- Update to new git snapshot 0~git731
  * Support evaluating the SONAME from ELF files
  * Try harder to detect a DWARF attribute pointing into alternate DWARF section
  * Extend detection of compatible types to arrays
  * Detect and report changes in ELF architecture
* Sun Dec  7 2014 jengelh@inai.de
- Update to new git snapshot 0~git697
  * Fix a crash while writing symbol information
  * Initial implementation of the abicompat tool
  * Support reading undefined symbols from an ELF file
  * Sort functions by the their qualified name
* Fri Sep 12 2014 jengelh@inai.de
- Initial package for build.opensuse.org (version 0~git570)
